<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    Task501.10
</body>
<script>
    var a = [NaN, 0, 15, false, -22, '',undefined, 47, null];

    var result = a.filter(Number);
    console.log(result);
</script>

</html>